import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Gold medals float along in the ocean eat them to gain points to your score
 * https://commons.wikimedia.org/wiki/Category:Medals#/media/File:15944349-victory-medals.jpg
 * Justin Masiello
 * 12/1/17
 */
public class GoldMedal extends Actor
{
    private int speed;
    /**
     * Constructor. Nothing to do so far.
     */
    public GoldMedal()

    { 
        speed= Greenfoot.getRandomNumber(3) +1;
    }

    /**
     * Float along the bloodstream, slowly rotating.
     */
    public void act() 
    {
        setLocation(getX()-2, getY());
        turn(1);

        if (getX() == 0) 
        {
            getWorld().removeObject(this);
        }
    }
}
